# flatpak remote-ls

flatpak

Developer
Alexander
Larsson
alexl@redhat.com
flatpak remote-ls
1

# flatpak-remote-ls

Show available runtimes and applications

                    flatpak remote-ls
                    OPTION
                    REMOTE

## Description

Shows runtimes and applications that are available in the remote repository with the name REMOTE, or all remotes if one isn't specified. You can find all configured remote repositories with flatpak-remotes 1.

REMOTE can be a file:// URI pointing to a local repository instead of a remote name.

Unless overridden with the --system, --user, or --installation options, this command uses either the default system-wide installation or the per-user one, depending on which has the specified REMOTE.

## Options

The following options are understood:

`-h`
`--help`

  Show help options and exit.

`--user`

  Use the per-user configuration.

`--system`

  Use the default system-wide configuration.

`--installation=NAME`

  Use a system-wide installation specified by NAME among those defined in `/etc/flatpak/installations.d/`. Using --installation=default is equivalent to using --system.

`-d`
`--show-details`

  Show arches, branches and commit ids, in addition to the names.

`--runtime`

  Show only runtimes, omit applications.

`--app`

  Show only applications, omit runtimes.

`--all`
`-a`

  Show everything. By default locale and debug extensions as well as secondary arches when the primary arch is available are hidden.

`--updates`

  Show only those which have updates available.

`--arch=ARCH`

  Show only those matching the specied architecture. By default, only supported architectures are shown. Use --arch=* to show all archtectures.

`-v`
`--verbose`

  Print debug information during command processing.

`--ostree-verbose`

  Print OSTree debug information during command processing.

`--version`

  Print version information and exit.

## Examples

`$ flatpak --user remote-ls --app testrepo`

    Ref
    org.gnome.Builder
    org.freedesktop.glxgears

`$ flatpak remote-ls file:///run/media/mwleeds/d4d37026-cde2-4e5e-8bcc-d23ebbf231f9/.ostree/repo`

    Ref
    org.kde.Khangman

## See also

flatpak 1, flatpak-remotes 1